Skip to main content
POST
/
workspaceManagement
/
folders
Create folder
curl --request POST \
  --url https://api.getcargo.io/v1/workspaceManagement/folders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "emojiSlug": "<string>",
  "kind": "play",
  "parentUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "folder": {
    "uuid": "<string>",
    "parentUuid": "<string>",
    "kind": "play",
    "workspaceUuid": "<string>",
    "name": "<string>",
    "emojiSlug": "<string>",
    "isReadOnly": true,
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "deletedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

name
string
required
emojiSlug
string
required
kind
enum<string>
required
Available options:
play,
tool,
agent,
file
parentUuid
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$

Response

Successful response

folder
object
required